package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_order_relate_rule.git/db/model"
	"xorm.io/xorm"
)

func UserVirtualAmountFindById(eg *xorm.Engine, uid, coinId int) (*model.UserVirtualAmount, error) {
	var m model.UserVirtualAmount
	has, err := eg.Where("uid = ? AND coin_id = ?", uid, coinId).Get(&m)
	if err != nil {
		return nil, err
	}
	if has == false {
		m.Amount = "0"
		m.CoinId = coinId
		m.Uid = uid
		one, err := eg.InsertOne(&m)
		if err != nil || one == 0 {
			return nil, err
		}
	}
	return &m, nil
}
func UserVirtualAmountUpdate(eg *xorm.Engine, uid, coinId interface{}, userVirtualAmount *model.UserVirtualAmount, forceCols ...string) (int64, error) {
	var (
		affected int64
		err      error
	)
	if forceCols != nil {
		affected, err = eg.Where("uid = ? AND coin_id = ?", uid, coinId).Cols(forceCols...).Update(userVirtualAmount)
	} else {
		affected, err = eg.Where("uid = ? AND coin_id = ?", uid, coinId).Update(userVirtualAmount)
	}
	if err != nil {
		return 0, err
	}
	return affected, nil
}
