package db

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_go_condition_statistics.git/db/model"
	"xorm.io/xorm"
)

// 用户正在审核中的记录
func UserLevelAuditingFindByUid(Db *xorm.Engine, uid int) (*model.UserLevelAudit, error) {
	var m model.UserLevelAudit
	has, err := Db.Where("uid=?", uid).Desc("id").Get(&m)
	if err != nil || !has {
		return nil, err
	}
	if m.State == 1 {
		return &m, nil
	}
	return nil, nil
}
