package model

import (
	"time"
)

type CommCouponUserTotal struct {
	Id                     int       `json:"id" xorm:"not null pk autoincr comment('主键id') INT(11)"`
	Uid                    int       `json:"uid" xorm:"not null comment('用户id') INT(11)"`
	UsePvd                 string    `json:"use_pvd" xorm:"comment('可使用渠道（json（[]string））') VARCHAR(255)"`
	CouponAmountValue      string    `json:"coupon_amount_value" xorm:"not null default 0.0000 comment('优惠劵额度') DECIMAL(12,4)"`
	CreateAt               time.Time `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') "`
	UpdateAt               time.Time `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') "`
	LeaveCouponAmountValue string    `json:"leave_coupon_amount_value" xorm:"default 0.0000 comment('剩余的额度') DECIMAL(12,4)"`
	PvdType                string    `json:"pvd_type" xorm:"default '' comment('渠道类型 ordinary:通用 GUIDE:导购 SELF_MALL:自营 O2O:小店 GUIDE_SELF_MALL:导购+自营 SELF_MALL_O2O:自营+小店 ') VARCHAR(255)"`
}
